<?php
$conf_basedir = "../../"; //相对主目录的位置
$conf_where = "admin"; //选择调用相应模块
include_once($conf_basedir . "/base.inc.php");
checkAuth('0');	//判断登录和权限
$title = "修改密码";

if($action == 'changepassword' && $old_password != '' && $new_password != '' && $new_password2 != '' && $new_password == $new_password2)
{
	$msg="";
	$act_result["flag"]=false;
	//判断数据是否正确
	if ($_SESSION[$web_auth]["password"]!=md5($old_password)){
		$msg.="原密码输入不正确！";
	}else if (checkPass($new_password)==3){
		$msg.="新密码不符合规则，请重新输入！";
	}
	//组合错误信息
	$act_result["info"]="修改信息失败！".$msg;
	//数据写入
	if ($msg=="") {
		$act_result["flag"]=true;
		$act_result["info"]="修改成功！请保存好您新的密码。";
		//写入数据库
		$q="update admin_user set password='".qstr(md5($new_password))."' where uid='".$_SESSION[$web_auth]["uid"]."'";
		$db_sys->Execute($q);

		gotoUrl(FRAME_LOGOUT, $act_result["info"]);
		exit;
	}
	else
	{
		echo js_redirect(FRAME_DEFAULT, $act_result["info"]);
		exit;
	}
}

include_once(Template("header"));
include_once(Template("self/change_password"));
include_once(Template("footer"));
?>